ViewControllerTTrackUsage Method |
PUT /View/TrackUsage/{id}
Tracks the usage for the view provided. If the session and client ID are not provided, the current cookie values are used.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPutAttribute]
[ActionNameAttribute("TrackUsage")]
public HttpResponseMessage TrackUsage(
Guid id,
Nullable<Guid> sessionId = null,
Nullable<Guid> clientId = null
)<HttpPutAttribute>
<ActionNameAttribute("TrackUsage")>
Public Function TrackUsage (
id As Guid,
Optional sessionId As Nullable(Of Guid) = Nothing,
Optional clientId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPutAttribute]
[ActionNameAttribute(L"TrackUsage")]
HttpResponseMessage^ TrackUsage(
Guid id,
Nullable<Guid> sessionId = nullptr,
Nullable<Guid> clientId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("TrackUsage")>]
member TrackUsage :
id : Guid *
?sessionId : Nullable<Guid> *
?clientId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
let _clientId = defaultArg clientId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the view to track the usage for. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID. - clientId (Optional)
- Type: SystemNullableGuid
The client ID.
Return Value
Type:
HttpResponseMessageA status code indicating whether the operation was successful.
See Also